Loading ...
Sorry, an error occurred while loading the content.

56180Re: vim 7.2.376 builds fine with MinGW and ruby support

Expand Messages
  • Bram Moolenaar
    Mar 1, 2010
    • 0 Attachment
      Cesar Romani wrote:

      > With the following patch for Make_ming.mak, vim 7.2.376 builds fine for
      > ruby 1.8.6 and even for ruby 1.9.1 with DYNAMIC_RUBY=yes
      > For Make_cyg.mak and Make_mvc.mak, it could be possible to make a
      > similar change.
      >
      > --------------------
      > --- Make_ming.old.mak 2010-02-20 17:47:22 -0500
      > +++ Make_ming.new.mak 2010-02-28 17:05:14 -0500
      > @@ -229,9 +229,7 @@
      > endif
      >
      > RUBYINC =-I $(RUBY)/lib/ruby/$(RUBY_VER_LONG)/$(RUBY_PLATFORM)
      > -ifeq (no, $(DYNAMIC_RUBY))
      > RUBYLIB = -L$(RUBY)/lib -l$(RUBY_INSTALL_NAME)
      > -endif
      >
      > endif # RUBY
      > --------------------

      Thanks. Unless someone complains I'll include this soon.

      --
      Experience is what you get when you don't get what you want.

      /// Bram Moolenaar -- Bram@... -- http://www.Moolenaar.net \\\
      /// sponsor Vim, vote for features -- http://www.Vim.org/sponsor/ \\\
      \\\ download, build and distribute -- http://www.A-A-P.org ///
      \\\ help me help AIDS victims -- http://ICCF-Holland.org ///

      --
      You received this message from the "vim_dev" maillist.
      Do not top-post! Type your reply below the text you are replying to.
      For more information, visit http://www.vim.org/maillist.php
    • Show all 26 messages in this topic